Groups | Search | Server Info | Keyboard shortcuts | Login | Register [http] [https] [nntp] [nntps]
Groups > linux.kernel > #1309863
| From | Wang Nan <wangnan0@huawei.com> |
|---|---|
| Newsgroups | linux.kernel |
| Subject | [PATCH v3 3/9] perf build: Test correct path of perf in build-test |
| Date | 2016-01-15 05:10 +0100 |
| Message-ID | <qR3S2-Fo-13@gated-at.bofh.it> (permalink) |
| References | <qR3S1-Fo-3@gated-at.bofh.it> |
| Organization | linux.* mail to news gateway |
If an 'O' is passed to 'make build-test', many 'test -x' and 'test -f'
will fail because perf resides in a different directory. Fix this by
computing PERF_OUT according to 'O' and test correct output files.
For make_kernelsrc and make_kernelsrc_tools, set KBUILD_OUTPUT_DIR
instead because the path is different from others ($(O)/perf vs
$(O)/tools/perf).
Signed-off-by: Wang Nan <wangnan0@huawei.com>
Cc: Arnaldo Carvalho de Melo <acme@redhat.com>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Namhyung Kim <namhyung@kernel.org>
---
tools/perf/tests/make | 21 ++++++++++++++-------
1 file changed, 14 insertions(+), 7 deletions(-)
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index fc2a9a3..29810cf 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -13,10 +13,12 @@ else
endif
else
PERF := .
+PERF_O := $(PERF)
O_OPT :=
ifneq ($(O),)
FULL_O := $(shell readlink -f $(O) || echo $(O))
+ PERF_O := $(FULL_O)
ifeq ($(SET_O),1)
O_OPT := 'O=$(FULL_O)'
endif
@@ -173,11 +175,11 @@ test_make_doc := $(test_ok)
test_make_help_O := $(test_ok)
test_make_doc_O := $(test_ok)
-test_make_python_perf_so := test -f $(PERF)/python/perf.so
+test_make_python_perf_so := test -f $(PERF_O)/python/perf.so
-test_make_perf_o := test -f $(PERF)/perf.o
-test_make_util_map_o := test -f $(PERF)/util/map.o
-test_make_util_pmu_bison_o := test -f $(PERF)/util/pmu-bison.o
+test_make_perf_o := test -f $(PERF_O)/perf.o
+test_make_util_map_o := test -f $(PERF_O)/util/map.o
+test_make_util_pmu_bison_o := test -f $(PERF_O)/util/pmu-bison.o
define test_dest_files
for file in $(1); do \
@@ -244,7 +246,7 @@ test_make_perf_o_O := test -f $$TMP_O/perf.o
test_make_util_map_o_O := test -f $$TMP_O/util/map.o
test_make_util_pmu_bison_o_O := test -f $$TMP_O/util/pmu-bison.o
-test_default = test -x $(PERF)/perf
+test_default = test -x $(PERF_O)/perf
test = $(if $(test_$1),$(test_$1),$(test_default))
test_default_O = test -x $$TMP_O/perf
@@ -293,17 +295,22 @@ tarpkg:
( eval $$cmd ) >> $@ 2>&1 && \
rm -f $@
+KERNEL_O := ../..
+ifneq ($(O),)
+ KERNEL_O := $(O)
+endif
+
make_kernelsrc:
@echo "- make -C <kernelsrc> $(PARALLEL_OPT) tools/perf"
$(call clean); \
(make -C ../.. $(PARALLEL_OPT) tools/perf) > $@ 2>&1 && \
- test -x perf && rm -f $@ || (cat $@ ; false)
+ test -x $(KERNEL_O)/tools/perf/perf && rm -f $@ || (cat $@ ; false)
make_kernelsrc_tools:
@echo "- make -C <kernelsrc>/tools $(PARALLEL_OPT) perf"
$(call clean); \
(make -C ../../tools $(PARALLEL_OPT) perf) > $@ 2>&1 && \
- test -x perf && rm -f $@ || (cat $@ ; false)
+ test -x $(KERNEL_O)/tools/perf/perf && rm -f $@ || (cat $@ ; false)
all: $(run) $(run_O) tarpkg make_kernelsrc make_kernelsrc_tools
@echo OK
--
1.8.3.4
Back to linux.kernel | Previous | Next — Previous in thread | Next in thread | Find similar | Unroll thread
[PATCH v3 0/9] perf build: Make build-test faster Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[PATCH v3 4/9] perf build: Pass O option to kernel makefile in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[tip:perf/urgent] perf build: Pass O option to kernel makefile in build-test tip-bot for Wang Nan <tipbot@zytor.com> - 2016-01-19 14:40 +0100
[PATCH v3 3/9] perf build: Test correct path of perf in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[tip:perf/urgent] perf build: Test correct path of perf in build-test tip-bot for Wang Nan <tipbot@zytor.com> - 2016-01-19 14:40 +0100
[PATCH v3 6/9] perf build: Introduce FEATURES_DUMP make variable Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[tip:perf/urgent] perf build: Introduce FEATURES_DUMP make variable tip-bot for Jiri Olsa <tipbot@zytor.com> - 2016-01-19 14:40 +0100
[PATCH v3 1/9] perf build: Set parallel making options build-test Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[PATCH v3 2/9] perf build: Pass O option to Makefile.perf in build-test Wang Nan <wangnan0@huawei.com> - 2016-01-15 05:10 +0100
[tip:perf/urgent] perf build: Pass O option to Makefile.perf in build-test tip-bot for Wang Nan <tipbot@zytor.com> - 2016-01-19 14:40 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Jiri Olsa <jolsa@redhat.com> - 2016-01-15 11:30 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 15:40 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster pi3orama <pi3orama@163.com> - 2016-01-15 16:00 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 16:20 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 17:40 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 20:00 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 20:10 +0100
Re: [PATCH v3 0/9] perf build: Make build-test faster Arnaldo Carvalho de Melo <acme@kernel.org> - 2016-01-15 16:00 +0100
csiph-web